GNU bug report logs - #45831
28.0.50; list-colors-display callback arg needs to evaluate to a function?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mauro Aranda <maurooaranda@HIDDEN>; Keywords: patch fixed; Done: Mauro Aranda <maurooaranda@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 45831 <at> debbugs.gnu.org and Mauro Aranda <maurooaranda@HIDDEN> Request was from Mauro Aranda <maurooaranda@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Mauro Aranda <maurooaranda@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45831 <at> debbugs.gnu.org:


Received: (at 45831) by debbugs.gnu.org; 19 Jan 2021 12:28:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 07:28:27 2021
Received: from localhost ([127.0.0.1]:49628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1q7X-0006hP-LB
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 07:28:27 -0500
Received: from mail-qk1-f169.google.com ([209.85.222.169]:39751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>)
 id 1l1q7U-0006gz-Pc; Tue, 19 Jan 2021 07:28:26 -0500
Received: by mail-qk1-f169.google.com with SMTP id k193so469372qke.6;
 Tue, 19 Jan 2021 04:28:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:from:to:cc:subject:in-reply-to:date:mime-version;
 bh=VSSAKgxx29cLiRZk8xhDI/ZsHPeDF8Mz+2YoAT2Efho=;
 b=RxLNsrRbCuVnSS/pC98iS3qL1Qbcts2GTewAYkHmaaeaXIUzKeQL8T04POZfIiz230
 zKfPoLElL0FM32KECC8TC5svsGEnobY82fJm3zXwzzHkAOwzSI3GHZMSCEVdtkFLexk9
 ER8P+4gd8uo175k/l4Ep2hQ1UyIBpqLNPjl0UfUe0EnZ7JZPOLj3BcF8LpapbYP9QBE8
 nMSJOesPBpmXhngG267nG4ETB9WREl+ciNcJA1vkRO/J5SdwjvQKcUfBa2GMp3wyjqKj
 qqMo5SJ+giL/V7tgP6O6fuR9AudPPuWc/POvEDS1Ly0TliLP9a2QaYZdFmWsLMR71t2w
 VuIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:from:to:cc:subject:in-reply-to:date
 :mime-version;
 bh=VSSAKgxx29cLiRZk8xhDI/ZsHPeDF8Mz+2YoAT2Efho=;
 b=PLILYFeLyu1EhVgI/bMq9gqTJpz368cKLnEk7hBBy0amgkBVspiIskP9NF2cgTZlnN
 SW2eZXHoAONL5Xl6HuBYuOVEY4af1/IA+nfzmX6Ij8nJQOurYiJygprB25ACrIZYufkv
 Zf6GAAkIRLzfdbLLNl7cJUekOO+Dcl16CHUCfHYZVvlWukhgLDjjiE+HH2CxEsnvxTOe
 1vahMs0NCNnSWPm43jy1wcJCsua4j0v2ImeLdQSbFMnPpVRj6o0shIK5BRoxk50DbHLS
 NrR2l1HaW5k0BaTypQQFAvZfj3JEdvp11vRor8cZyRmMDKxD77XT6qXzfq/quWSJq2P+
 jpHQ==
X-Gm-Message-State: AOAM530Fofv2YuhQdKHIYJT0yqklSTg4eOu43z+JmxQ7vG5QCCD1HTXl
 fyDZ3tS9OZjmQiE1Grz2zgKTNqNGqIAVuA==
X-Google-Smtp-Source: ABdhPJwYR9kJ/PjM8RR/xG9spT5urycCyewQcF6GVuGVVsdjIKZFqG8oojhzpUaqnkr63LpAB5ATSA==
X-Received: by 2002:a37:416:: with SMTP id 22mr3917678qke.480.1611059298949;
 Tue, 19 Jan 2021 04:28:18 -0800 (PST)
Received: from tbb-desktop ([201.213.132.172])
 by smtp.gmail.com with ESMTPSA id d1sm12836564qkf.102.2021.01.19.04.28.17
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 19 Jan 2021 04:28:18 -0800 (PST)
Message-ID: <6006d062.1c69fb81.9582b.0045@HIDDEN>
X-Google-Original-Message-ID: <877do9f6w0.fsf@maurooaranda@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#45831: 28.0.50; list-colors-display callback arg needs to
 evaluate to a function?
In-Reply-To: <87ft2xmnqt.fsf@HIDDEN> (message from Lars Ingebrigtsen on
 Tue, 19 Jan 2021 07:42:18 +0100)
Date: Tue, 19 Jan 2021 09:28:15 -0300
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45831
Cc: 45831 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 45831 fixed
close 45831 28.1
quit


Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Mauro Aranda <maurooaranda@HIDDEN> writes:
>
>> Backward-compatible change attached.  With this change, all of the
>> following work:
>
> Looks good to me; go ahead and push.
>
> Basil's version was shorter, but wasn't as straightforward (and besides,
> it had an `eval', which always makes me suspicious. :))

Thanks; I've pushed my patch.  If someone wants to tweak it to make it
prettier, I don't object.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45831; Package emacs. Full text available.

Message received at 45831 <at> debbugs.gnu.org:


Received: (at 45831) by debbugs.gnu.org; 19 Jan 2021 06:42:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 01:42:30 2021
Received: from localhost ([127.0.0.1]:49220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1kik-0006H9-1l
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:42:30 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1kii-0006Gt-Lp
 for 45831 <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:42:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WeSkNxbV2fsl1xUkQ0adM/Xq8a9ZcvdSzVtWCyZCNLA=; b=ilLDPE3s/k5owky6e+i95usKo5
 yxXyUl2bDsGFjYC7515zNitJaD8ftauPbeWxQAL8oEYDAfS1Haz/mJijqkSrHoG+aBZldoxkI9rO5
 HN/nFfYUQRkYznxUM7DVjcHL94IKlrfcTQ7Egj/GhRWu/dc7ZMXdxSNSDYKNQuETX/LE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1kia-0004Xk-6y; Tue, 19 Jan 2021 07:42:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mauro Aranda <maurooaranda@HIDDEN>
Subject: Re: bug#45831: 28.0.50; list-colors-display callback arg needs to
 evaluate to a function?
References: <5ffe3063.1c69fb81.52f23.11a7@HIDDEN>
 <5ffe37e4.1c69fb81.411a.0f1c@HIDDEN>
X-Now-Playing: Bobbie Gentry's _The Girl From Chickasaw County (2): The
 Delta Sweete_: "Big Boss Man"
Date: Tue, 19 Jan 2021 07:42:18 +0100
In-Reply-To: <5ffe37e4.1c69fb81.411a.0f1c@HIDDEN> (Mauro Aranda's
 message of "Tue, 12 Jan 2021 20:59:29 -0300")
Message-ID: <87ft2xmnqt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Mauro Aranda <maurooaranda@HIDDEN> writes: >
 Backward-compatible
 change attached. With this change, all of the > following work: Looks good
 to me; go ahead and push. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45831
Cc: 45831 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mauro Aranda <maurooaranda@HIDDEN> writes:

> Backward-compatible change attached.  With this change, all of the
> following work:

Looks good to me; go ahead and push.

Basil's version was shorter, but wasn't as straightforward (and besides,
it had an `eval', which always makes me suspicious. :))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45831; Package emacs. Full text available.

Message received at 45831 <at> debbugs.gnu.org:


Received: (at 45831) by debbugs.gnu.org; 16 Jan 2021 11:42:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 16 06:42:34 2021
Received: from localhost ([127.0.0.1]:42517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0jyU-0000Nx-4i
	for submit <at> debbugs.gnu.org; Sat, 16 Jan 2021 06:42:34 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:35678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1l0jyP-0000Nf-G6
 for 45831 <at> debbugs.gnu.org; Sat, 16 Jan 2021 06:42:32 -0500
Received: by mail-qk1-f171.google.com with SMTP id n142so14402954qkn.2
 for <45831 <at> debbugs.gnu.org>; Sat, 16 Jan 2021 03:42:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:from:to:cc:subject:references:date:in-reply-to
 :user-agent:mime-version;
 bh=pcFvORevqep/YLSVbv/lTC5y/XBBy7hik0WC1aMyRWs=;
 b=MuWdZa3WNchaH3fJtyVX6LHhIaYSjLN8vH3YIiP1SWv/PSbYHH/IFFfH7nSPpo9fMr
 XlRNG0jrEXRhV1wDTglXlclHurRV/21597RAqf3lUJY/jBySLonI25wbP/8LwQeSa25k
 gr4SCktyhNHqJoaPM+3K5C41JcWq8Q79OIjRQlaxKRyac64Ty8WcK7qAAuLpn6HjPH/l
 yu7U+w6/t8C8ys/3r4uIsz1PTIwCVrYNnuQgag3v5vZDTs0c7kYJMpi4SY1AUkKOyON1
 t/MoIrpCZgFU12WeeObP0kc/oZI0D/N/8VlIan75j4zmmdWHmNjipTaJ6h1F+E6Wur60
 ftug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:from:to:cc:subject:references:date
 :in-reply-to:user-agent:mime-version;
 bh=pcFvORevqep/YLSVbv/lTC5y/XBBy7hik0WC1aMyRWs=;
 b=JkG0ZZZ6ZSgSg1dUKQKmlBNPj2wjj+nzhCsW134bqHp2ETKtF5JZ6Okceagk4UMMIM
 gIKIfW76dQhL1RTZBQyGymiiBbYZE2HaENR+0yv81HZiIb4wODkQ6tas8BDJ1lLfjpsK
 IC+IsGWBp0jMaVYjCmuaOcyWpTYQKx8EdPSFm6zyn+c4d2BEjff05jCLhqGo7GEhDOcp
 VJL8YvptrdsD9i9dg7D+c41cDk57ZG9q4hhnY6QCxqemytE1suyvqALtWFsqMFWqWAy6
 V1fawcELAx8+xiIbU7Ba7VHSvtlxFO2bBBXPgkdke57UjKsH2aXxKIYI3WXgy3OwUIol
 NI8Q==
X-Gm-Message-State: AOAM531CvYweBNyUm6zPmDy227lZT6zev/r7toL6xSYcZCx/hn1eHxm0
 mAMo6sXWNNi7tkbTkiVDUOGJzfzTQGk=
X-Google-Smtp-Source: ABdhPJzeuq7OB/p0FKzmo47TKCbIcY+s2k2GEGeQApFFeAu4upeZAEViuOYpKgbb46m8cYbKyrhoHw==
X-Received: by 2002:a05:620a:1101:: with SMTP id
 o1mr16747750qkk.489.1610797343673; 
 Sat, 16 Jan 2021 03:42:23 -0800 (PST)
Received: from tbb-desktop ([201.213.132.172])
 by smtp.gmail.com with ESMTPSA id o64sm6953516qka.43.2021.01.16.03.42.21
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 16 Jan 2021 03:42:22 -0800 (PST)
Message-ID: <6002d11e.1c69fb81.33032.dc74@HIDDEN>
X-Google-Original-Message-ID: <87sg71qfac.fsf@maurooaranda@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#45831: 28.0.50; list-colors-display callback arg needs to
 evaluate to a function?
References: <5ffe3063.1c69fb81.52f23.11a7@HIDDEN>
 <5ffe37e4.1c69fb81.411a.0f1c@HIDDEN> <87bldphn60.fsf@HIDDEN>
Date: Sat, 16 Jan 2021 08:42:19 -0300
In-Reply-To: <87bldphn60.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Fri, 15 Jan 2021 22:04:39 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45831
Cc: 45831 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Mauro Aranda <maurooaranda@HIDDEN> writes:
>
>>  (defun list-colors-print (list &optional callback)
>>    (let ((callback-fn
>> -	 (if callback
>> -	     `(lambda (button)
>> -		(funcall ,callback (button-get button 'color-name))))))
>> +         ;; Expect CALLBACK to be a function, but allow it to be a form that
>> +         ;; evaluates to a function, for backward-compatibility.  (Bug#45831)
>> +         (cond ((functionp callback)
>> +                (lambda (button)
>> +                  (funcall callback (button-get button 'color-name))))
>> +               (callback
>> +                `(lambda (button)
>> +                  (funcall ,callback (button-get button 'color-name)))))))
>
> Why not a single evaluated closure, e.g. like the following?
>
>   (let ((callback-fn
>          (when callback
>            ;; Expect CALLBACK to be a function, but allow it to be a form that
>            ;; evaluates to a function, for backward-compatibility (bug#45831).
>            (or (functionp callback)
>                (setq callback (eval callback lexical-binding)))
>            (lambda (button)
>              (funcall callback (button-get button 'color-name))))))
>     ...)

Just because I didn't want to change the original code too much, in case
someone thought the backward-compatible change wasn't necessary.  But of
course, your sample code looks better.

> Thanks,

Thanks for taking a look.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45831; Package emacs. Full text available.

Message received at 45831 <at> debbugs.gnu.org:


Received: (at 45831) by debbugs.gnu.org; 15 Jan 2021 22:04:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 15 17:04:52 2021
Received: from localhost ([127.0.0.1]:41893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0XD9-0001cn-So
	for submit <at> debbugs.gnu.org; Fri, 15 Jan 2021 17:04:52 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:37962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1l0XD6-0001cV-Dt
 for 45831 <at> debbugs.gnu.org; Fri, 15 Jan 2021 17:04:51 -0500
Received: by mail-wr1-f52.google.com with SMTP id a9so7274381wrt.5
 for <45831 <at> debbugs.gnu.org>; Fri, 15 Jan 2021 14:04:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5Wadyts6deI9gJtUlVjTwrMCtjXTJSqYTu1ruzr9kdY=;
 b=wCmaH8Em6WvuLtbxmxroidbK1EipFbqt/cLDz7UUdP8/RHnOtzne1mNQUJHcjkA9Ic
 zkaQrwj3onrqfvmnaNM/ehYCzoYZAAd50AfH0/yDd1+4YhhnmsSSPjW/d5IseqzJcz7r
 G5XiVedt79o9paxZw46UxtY8Xuxw3v33kNuwRIHGDX1AbZyhP8XBbyjUjwXl8MWhniJx
 8zMbjudfXOONjoybsLH0HCxwTTRmMo7+gOR+iWd+8y38gm8YpRgQKTQia5u+W4zhkVV5
 3c/kqMXsr/G2VWKlznRftVtjGTwsvEW1qMADHlE3fzu27JEryM3x7Vvv38Our7dyDXpa
 HYyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=5Wadyts6deI9gJtUlVjTwrMCtjXTJSqYTu1ruzr9kdY=;
 b=PSsFo5o2MbdVq7753N8mcrQ7isCeTG7rE97nkeKQ/rvXiQSLSio+pUVQuu5GJScFeU
 J1VF6wfAJR5ScHH4RXeNJuTR5vGIzY2RpAEHVTmBQxcqoZ90eQhCT5Z8HRSTxcNZJrXp
 EGlFG37xGvlsxiJcqhbhWMOR07FJx2oc7H7jnn5SBXhTV5+ffPt345TQ4KLHkf4GAonA
 3OLCO4lwtd8/OOXD1J5avARl32immrQ9elreHkqiF3i/Tf3/Zcm5pTtzOZPJQgmLhtn3
 5K4KUPBbwE/iP3QNorr5ITFxQxNBXGJbvqmUR1tV/jmuOCJfqYlpcZCNrMkTUEL84hEF
 Q7Uw==
X-Gm-Message-State: AOAM533KVSGwwIfiotvU1THwq/ivAOlnDzBngATnLi8Kk+ZItmAK0GvU
 edgsSx7Cc45Zn0IJ+OaAE7yXiQ==
X-Google-Smtp-Source: ABdhPJyM9sZu/e/5/EtslXlWZPQ5UIXlf5Ezl0wKgiti0mNDvfqU7Ua3Mu8Zdq4YZkf9WEBGyBycgA==
X-Received: by 2002:adf:f401:: with SMTP id g1mr15176037wro.258.1610748282574; 
 Fri, 15 Jan 2021 14:04:42 -0800 (PST)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id y6sm15910488wrp.6.2021.01.15.14.04.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 15 Jan 2021 14:04:41 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Mauro Aranda <maurooaranda@HIDDEN>
Subject: Re: bug#45831: 28.0.50; list-colors-display callback arg needs to
 evaluate to a function?
References: <5ffe3063.1c69fb81.52f23.11a7@HIDDEN>
 <5ffe37e4.1c69fb81.411a.0f1c@HIDDEN>
Date: Fri, 15 Jan 2021 22:04:39 +0000
In-Reply-To: <5ffe37e4.1c69fb81.411a.0f1c@HIDDEN> (Mauro Aranda's
 message of "Tue, 12 Jan 2021 20:59:29 -0300")
Message-ID: <87bldphn60.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45831
Cc: 45831 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mauro Aranda <maurooaranda@HIDDEN> writes:

>  (defun list-colors-print (list &optional callback)
>    (let ((callback-fn
> -	 (if callback
> -	     `(lambda (button)
> -		(funcall ,callback (button-get button 'color-name))))))
> +         ;; Expect CALLBACK to be a function, but allow it to be a form that
> +         ;; evaluates to a function, for backward-compatibility.  (Bug#45831)
> +         (cond ((functionp callback)
> +                (lambda (button)
> +                  (funcall callback (button-get button 'color-name))))
> +               (callback
> +                `(lambda (button)
> +                  (funcall ,callback (button-get button 'color-name)))))))

Why not a single evaluated closure, e.g. like the following?

  (let ((callback-fn
         (when callback
           ;; Expect CALLBACK to be a function, but allow it to be a form that
           ;; evaluates to a function, for backward-compatibility (bug#45831).
           (or (functionp callback)
               (setq callback (eval callback lexical-binding)))
           (lambda (button)
             (funcall callback (button-get button 'color-name))))))
    ...)

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45831; Package emacs. Full text available.
Added tag(s) patch. Request was from Mauro Aranda <maurooaranda@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45831 <at> debbugs.gnu.org:


Received: (at 45831) by debbugs.gnu.org; 12 Jan 2021 23:59:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 18:59:41 2021
Received: from localhost ([127.0.0.1]:33726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzTZd-0003j7-Cq
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 18:59:41 -0500
Received: from mail-qk1-f178.google.com ([209.85.222.178]:46087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>)
 id 1kzTZa-0003ip-Re; Tue, 12 Jan 2021 18:59:40 -0500
Received: by mail-qk1-f178.google.com with SMTP id d14so97575qkc.13;
 Tue, 12 Jan 2021 15:59:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:from:to:subject:references:date:in-reply-to:user-agent
 :mime-version; bh=TwqtrmviIwqo2AkDv49TMzyZRtwXZfSe5k5O6w/It5k=;
 b=pDQjyqiawLCQSjpYtz67+e/06hbGYtyUaYt9d1w6PXOwoR+Hp/Mh7tFwuOCkseWLfW
 F0Gn9qaP5YtFP6EFFGMnhHhgtTCjkp+8gCDzAcOAHAwz28rE7QbaU517QKy2KZGfC7py
 9RaALD9zcvW5RMP4M9yltKxEU/lJ4xp+T6QwTAsNeV+yELQuhMR5XI6ngjQsaoMJJA5r
 lR9+95YaCbBLLGiS5xEijLBerOIb0q2WGzW3713jbsfZF5NbyfvepPBRUr3tPDBdD5jx
 9DydLNALvdXTveuC7UAF/7O7Z07dgVtt1D/Rdy4jafOAg4OvLnvMAb0qBkpUbgPXlmw+
 qrvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:from:to:subject:references:date
 :in-reply-to:user-agent:mime-version;
 bh=TwqtrmviIwqo2AkDv49TMzyZRtwXZfSe5k5O6w/It5k=;
 b=jVSIGFXcRQGChaKGnv2Hmh86TnpBMNplPw3acMrzGpOVs+HZVHcQiIYhyjsBMiR3Fs
 olJUjiNlEJn1D+unakG4y+KH6Ouse3VVc6g6mlcsmpYNLW25npbdwneARUVQ7sPbISTu
 rClI0YAM6ojpKBdciNMlovHN2/vFq6KgI7E0iYQVxDiESwU6me0a29cyK15XxVTvHwsp
 L3p/yxyrsE0EFxLIzfV/7eosirNyBzcTZKK+sZZt8ZU5vEpdm/W6jYrULhmFmZguCsZS
 l/ZDzen1FhtcCG4P/TDLrTtOJ6f5m+wXJzEBjc28vqTRT90ne+8F5IA1lnvzfpCl2R+M
 cjTQ==
X-Gm-Message-State: AOAM531ASvUBxq/ytMBv84m2XvCSt60FygwfrC5XTcI9ban3J0WuKKON
 x2yVrsv0vX/D2cXBoZ981WsLVfwLoS4=
X-Google-Smtp-Source: ABdhPJyRsYBrqFvuxyZiIWVeFkrY04DNMdyd517JYdV2sC5JvGzDmn9dBF7Moof07z/Qzd4Fc0hzGQ==
X-Received: by 2002:a05:620a:805:: with SMTP id
 s5mr2283016qks.80.1610495972907; 
 Tue, 12 Jan 2021 15:59:32 -0800 (PST)
Received: from tbb-desktop ([201.213.132.172])
 by smtp.gmail.com with ESMTPSA id z9sm136502qts.66.2021.01.12.15.59.31
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 12 Jan 2021 15:59:32 -0800 (PST)
Message-ID: <5ffe37e4.1c69fb81.411a.0f1c@HIDDEN>
X-Google-Original-Message-ID: <871repwvtq.fsf@maurooaranda@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
To: 45831 <at> debbugs.gnu.org
Subject: Re: bug#45831: 28.0.50; list-colors-display callback arg needs to
 evaluate to a function?
References: <5ffe3063.1c69fb81.52f23.11a7@HIDDEN>
Date: Tue, 12 Jan 2021 20:59:29 -0300
In-Reply-To: <5ffe3063.1c69fb81.52f23.11a7@HIDDEN> (Mauro Aranda's
 message of "Tue, 12 Jan 2021 20:27:28 -0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45831
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

tags 45831 patch
quit


Backward-compatible change attached.  With this change, all of the
following work:

(list-colors-display nil nil
		     (let ((cbuf (current-buffer)))
		       (lambda (color)
			 (when (buffer-live-p cbuf)
			   (message "Picked color %s for buffer %s"
				    color (buffer-name cbuf))))))

(list-colors-display nil nil
		     (let ((cbuf (current-buffer)))
		       `(function ,(lambda (color)
				    (when (buffer-live-p cbuf)
				      (message "Picked color %s for buffer %s"
					       color (buffer-name cbuf)))))))

(list-colors-display nil nil
		     (let ((cbuf (current-buffer)))
		       `(lambda (color)
			  (when (buffer-live-p ,cbuf)
			    (message "Picked color %s for buffer %s"
				     color (buffer-name ,cbuf))))))

(list-colors-display nil nil
		     (let ((cbuf (current-buffer)))
		       #'(lambda (color)
			  (when (buffer-live-p cbuf)
			    (message "Picked color %s for buffer %s"
				     color (buffer-name cbuf))))))


Feel free to drop the 2nd cond clause if backward-compatibility is not
deemed too important here.



--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-Fix-list-colors-print-handling-of-callback-arg.patch
Content-Description: Patch

From 3c68014cded797add3daa4030917ab9de299f57d Mon Sep 17 00:00:00 2001
From: Mauro Aranda <maurooaranda@HIDDEN>
Date: Tue, 12 Jan 2021 20:41:49 -0300
Subject: [PATCH] Fix list-colors-print handling of callback arg

* lisp/facemenu.el (list-colors-print): Keeping
backward-compatibility, don't fail when passed a closure object as
CALLBACK.  (Bug#45831)
---
 lisp/facemenu.el | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/lisp/facemenu.el b/lisp/facemenu.el
index 2609397b0d..dc5f8f46ab 100644
--- a/lisp/facemenu.el
+++ b/lisp/facemenu.el
@@ -606,9 +606,14 @@ list-colors-display
 
 (defun list-colors-print (list &optional callback)
   (let ((callback-fn
-	 (if callback
-	     `(lambda (button)
-		(funcall ,callback (button-get button 'color-name))))))
+         ;; Expect CALLBACK to be a function, but allow it to be a form that
+         ;; evaluates to a function, for backward-compatibility.  (Bug#45831)
+         (cond ((functionp callback)
+                (lambda (button)
+                  (funcall callback (button-get button 'color-name))))
+               (callback
+                `(lambda (button)
+                  (funcall ,callback (button-get button 'color-name)))))))
     (dolist (color list)
       (if (consp color)
 	  (if (cdr color)
-- 
2.29.2


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45831; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 23:27:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 18:27:39 2021
Received: from localhost ([127.0.0.1]:33667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzT4d-0002qh-8W
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 18:27:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:54976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1kzT4a-0002qY-47
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 18:27:37 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44476)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maurooaranda@HIDDEN>)
 id 1kzT4Z-0001si-Ts
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 18:27:35 -0500
Received: from mail-qv1-xf2d.google.com ([2607:f8b0:4864:20::f2d]:35366)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maurooaranda@HIDDEN>)
 id 1kzT4X-0008KP-Sg
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 18:27:35 -0500
Received: by mail-qv1-xf2d.google.com with SMTP id l14so42305qvh.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 12 Jan 2021 15:27:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:from:to:subject:date:mime-version
 :content-transfer-encoding;
 bh=VJ0VrsjKKbGHGci219OogcbRikMpabddU5eBaTfwno8=;
 b=DXyeREqpJOJdE/nq5t2m5hImYwCqp3sRJ1wKU5CaSFJoyUz70JE3nDPKUSjPRQG5df
 8LMQGC9x8/IZ/Kri4PmLZm7lSuM5407IDTosp5kBwJYI+pVYOcujk1ej8S9nscguFucq
 JxgbhuGWwPZzJ/UZaPBlhTSwmD61Nh6EpqfF9EkPmEntc+7Rw2M/tUukgoyK72i4+vBO
 0Wg4YnESjqNLOLSX7iqKMGTiSUOKx/9wqYs+79MLati6Acxn3tMiQhc0LtrIFKNrf/Kq
 60yBwIFFyUxphiMCUb4m6qP3EUupODpnoGTcUHJBm+LBsOUKnY8wq9Uis3e7VijQXGXb
 E0hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:from:to:subject:date:mime-version
 :content-transfer-encoding;
 bh=VJ0VrsjKKbGHGci219OogcbRikMpabddU5eBaTfwno8=;
 b=n8a3T+ZpUNHzHeMbJVsWcnde1XUksNkhZv+E7MJWOdx5/0fGFzrgjQWttkm1vw3baO
 5ckih5KkEbrSlMHWJsGXFw9qgj/K5xPHlVvPNk1ulUUCCrnAbiSBHyK4zTUjEgsSCTHn
 KNDHuLYFKP/veOrsiTenxgFn7Efat2KGcnF02lNeH0qQIFlB+xRqqB28MFBNgRPzBfRM
 /2Gd47yeKgyWtfVcWiqznAkr1wOoxKVRvu6S7c3ySFv92NmKiDkc8njejv46x5mDihsL
 KtPUg5AD3Wa17yIQyTMtFAfTa7PhBW/XLDBTn+2FfjMGpE6pm5aDAJH2nfS/29ap5a6j
 nU0Q==
X-Gm-Message-State: AOAM533xjaL3zn5Ly8fquZ4UOyLKk+k4I2Vv8C1mEp0QnRI/FZ7p6HX0
 X+xsrh4s2USR17yvDaK8+dhP62ZU6jw=
X-Google-Smtp-Source: ABdhPJwRl6tYwPhLY6/a3ozJeAEw0CPFpgKw7N2wQaLm/obX+gmbMsDlWu36sY2d2P+2OLNkc6A4Tg==
X-Received: by 2002:a0c:8c87:: with SMTP id p7mr1691696qvb.46.1610494052496;
 Tue, 12 Jan 2021 15:27:32 -0800 (PST)
Received: from tbb-desktop ([201.213.132.172])
 by smtp.gmail.com with ESMTPSA id j203sm156375qke.134.2021.01.12.15.27.30
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 12 Jan 2021 15:27:31 -0800 (PST)
Message-ID: <5ffe3063.1c69fb81.52f23.11a7@HIDDEN>
X-Google-Original-Message-ID: <874kjlwxb3.fsf@maurooaranda@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; list-colors-display callback arg needs to evaluate to a
 function?
Date: Tue, 12 Jan 2021 20:27:28 -0300
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::f2d;
 envelope-from=maurooaranda@HIDDEN; helo=mail-qv1-xf2d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Starting from emacs -Q:

1. Eval the following:
(list-colors-display nil nil
		     (let ((cbuf (current-buffer)))
		       (lambda (color)
			 (when (buffer-live-p cbuf)
			   (message "Picked color %s for buffer %s"
				    color (buffer-name cbuf))))))

2. Hit RET on any color.  I hit RET in the first one, which is black.

3. Get the following error:
Symbol=E2=80=99s function definition is void: closure


Docstring of list-colors-display says:
If the optional argument CALLBACK is non-nil, it should be a
function to call each time the user types RET or clicks on a
color.  The function should accept a single argument, the color name.

But I'm passing a function and it is erroring out.


If instead the CALLBACK argument is a form that evaluates to a function,
like in:
(list-colors-display nil nil
		     (let ((cbuf (current-buffer)))
		       `(function ,(lambda (color)
				    (when (buffer-live-p cbuf)
				      (message "Picked color %s for buffer %s"
					       color (buffer-name cbuf)))))))

it succeeds with: Picked color black for buffer *scratch*


This is not what is described in the docstring, but I think the code
should be fixed to allow the argument to be like the one provided in
step 1.


In GNU Emacs 28.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version 3.22.30, c=
airo version 1.15.10)
 of 2021-01-12 built on tbb-desktop
Repository revision: c734ba68623279d814e857ddc536421a08c38f34
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Ubuntu 18.04.5 LTS

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SOUND THREADS
TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: es_AR.UTF-8
  value of $LC_NUMERIC: es_AR.UTF-8
  value of $LC_TIME: es_AR.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-print debug
backtrace find-func time-date subr-x cl-extra shortdoc
text-property-search seq byte-opt gv bytecomp byte-compile cconv
help-fns radix-tree color help-mode easymenu cl-loaddefs cl-lib
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 113889 8725)
 (symbols 48 7333 1)
 (strings 32 21356 2142)
 (string-bytes 1 682695)
 (vectors 16 12605)
 (vector-slots 8 175429 11483)
 (floats 8 158 307)
 (intervals 56 4536 253)
 (buffers 984 16))




Acknowledgement sent to Mauro Aranda <maurooaranda@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45831; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Jan 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.